Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.rtrep.v2
Class OForEach

    java.lang.Object
      org.apache.ode.bpel.rtrep.v2.OBase
          org.apache.ode.bpel.rtrep.v2.OAgent
              org.apache.ode.bpel.rtrep.v2.OActivity
                  org.apache.ode.bpel.rtrep.v2.OForEach

All Implemented Interfaces:
  java.io.Serializable, ActivityModel

    public class OForEach

extends OActivity

Base model class for forEach activity.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `OForEach.CompletionCondition`

Field Summary
`OForEach.CompletionCondition` | `completionCondition`
`OScope.Variable` | `counterVariable`
`OExpression` | `finalCounterValue`
`OScope` | `innerScope`
`boolean` | `parallel`
`OExpression` | `startCounterValue`

Fields inherited from class org.apache.ode.bpel.rtrep.v2.OActivity
`failureHandling, joinCondition, name, sourceLinks, suppressJoinFailure, targetLinks`

Fields inherited from class org.apache.ode.bpel.rtrep.v2.OAgent
`incomingLinks, nested, outgoingLinks, variableRd, variableWr`

Fields inherited from class org.apache.ode.bpel.rtrep.v2.OBase
`debugInfo`

Constructor Summary
`OForEach(OProcess owner, OActivity parent)`

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class org.apache.ode.bpel.rtrep.v2.OActivity
`getFailureHandling, getParent, getType, setFailureHandling`

Methods inherited from class org.apache.ode.bpel.rtrep.v2.OBase
`equals, getExtensibilityElements, getId, getOwner, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### counterVariable

    public OScope.Variable counterVariable

### parallel

    public boolean parallel

### startCounterValue

    public OExpression startCounterValue

### finalCounterValue

    public OExpression finalCounterValue

### completionCondition

    public OForEach.CompletionCondition completionCondition

### innerScope

    public OScope innerScope

Constructor Detail

### OForEach

    public OForEach(OProcess owner,
                    OActivity parent)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `OActivity`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD